#
#*****************************************************************************
#                                                                            *
#          Author : J.Jansen            Date : 14 September 2005             *
#    Revision : 1.0            Author : J.Jansen     Date : 24 June 2008     *
#    Revision : 1.1            Author : J.Jansen     Date : 9 March 2009     *
#    Revision : 1.2            Author : J.Jansen     Date : 6 April 2009     *
#                                                                            *
# OpenVMS makefile                                                           *
#                                                                            *
#*****************************************************************************
#
.first
	define libavcodec [.libavcodec]
	define libavformat [.libavformat]
	define libavutil [.libavutil]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm\
	/include=([],[.libavcodec],[.libavformat],[.libavutil])\
	/define=("_FILE_OFFSET_BITS=64")

PROG=ffmpeg.exe

#ffplay.exe

all : config.h lib $(PROG) $(VHOOK) $(DOC)
	@ write sys$output "all-done"
lib :
	set def [.libavutil]
	$(MMS)$(MMSQUALIFIERS)
	set def [-.libavcodec]
	$(MMS)$(MMSQUALIFIERS)
	set def [-.libavformat]
	$(MMS)$(MMSQUALIFIERS)
	set def [-.libavdevice]
	$(MMS)$(MMSQUALIFIERS)
	set def [-.libswscale]
	$(MMS)$(MMSQUALIFIERS)
	set def [-]

config.h : config.h_vms
	copy config.h_vms config.h

ffmpeg.exe : ffmpeg.obj cmdutils.obj [.libavutil]libavutil.olb\
	[.libavcodec]libavcodec.olb [.libavformat]libavformat.olb\
	[.libavdevice]libavdevice.olb [.libswscale]libswscale.olb vmslink.opt
	link ffmpeg.obj,cmdutils.obj,vmslink.opt/opt

ffserver.exe : ffserver.obj [.libavutil]libavutil.olb\
	[.libavcodec]libavcodec.olb [.libavformat]libavformat.olb\
	[.libavdevice]libavdevice.olb [.libswscale]libswscale.olb vmslink.opt
	link ffserver.obj,vmslink.opt/opt
 
ffplay.exe : ffplay.obj cmdutils.obj [.libavutil]libavutil.olb\
	[.libavcodec]libavcodec.olb [.libavformat]libavformat.olb\
	[.libavdevice]libavdevice.olb [.libswscale]libswscale.olb vmslink.opt
	link ffplay.obj,cmdutils.obj,vmslink.opt/opt

ffplay.obj : ffplay.c config.h
ffmpeg.obj : ffmpeg.c config.h
	cc/nowarn $(CFLAGS) ffmpeg.c
ffserver.obj : ffserver.c config.h
cmdutils.obj : cmdutils.c config.h
	cc/nowarn $(CFLAGS) cmdutils.c
