#
#*****************************************************************************
#                                                                            *
#          Author : J.Jansen            Date : 14 July 2006                  *
#    Revision : 1.0         Author : J.Jansen     Date : 26 June 2008        *
#    Revision : 1.1         Author : J.Jansen     Date : 12 Februari 2009    *
#    Revision : 1.2         Author : J.Jansen     Date : 9 March 2009        *
#    Revision : 1.3         Author : J.Jansen     Date : 6 April 2009        *
#    Revision : 1.4         Author : J.Jansen     Date : 14 May 2009         *
#                                                                            *
# OpenVMS makefile                                                           *
#                                                                            *
#*****************************************************************************
#
.first
	define libavcodec [-.libavcodec]
	define libavutil [-.libavutil]
	define libswscale [-.libswscale]

CFLAGS=/nowarn/name=(as_is,short)/float=ieee/ieee=denorm\
	/include=([],[-],[-.libavutil])\
	/define=("HAVE_AV_CONFIG_H=1","_FILE_OFFSET_BITS=64")

OBJS= bitstream.obj,utils.obj,allcodecs.obj,\
      mpegvideo.obj,jrevdct.obj,jfdctfst.obj,jfdctint.obj,\
      mpegaudio.obj,ac3enc.obj,mjpeg.obj,resample.obj,resample2.obj,dsputil.obj,\
      motion_est.obj,imgconvert.obj,\
      mpeg12.obj,mpegaudiodec.obj,pcm.obj,simple_idct.obj,\
      ratecontrol.obj,adpcm.obj,eval.obj,error_resilience.obj,\
      fft.obj,mdct.obj,raw.obj,golomb.obj,cabac.obj,\
      dpcm.obj,faandct.obj,parser.obj,g726.obj,\
      vp3dsp.obj,h264idct.obj,rangecoder.obj,pnm.obj,h263.obj,msmpeg4.obj

OBJS1=h263dec.obj,dvbsub.obj,dvbsubdec.obj,\
      aasc.obj,alac.obj,asv1.obj,cinepak.obj,cljr.obj,cyuv.obj,dv.obj,\
      8bps.obj,ffv1.obj,flacdec.obj,flicvideo.obj,4xm.obj,fraps.obj,h261.obj,\
      h264.obj,huffyuv.obj,idcinvideo.obj,indeo2.obj,indeo3.obj,\
      interplayvideo.obj,loco.obj,mace.obj,msrle.obj,msvideo1.obj,\
      png.obj,qdrw.obj,qpeg.obj,qtrle.obj,ra144.obj,ra288.obj,roqvideo.obj,\
      rpza.obj,rv10.obj,shorten.obj,smc.obj,snow.obj,sonic.obj,svq1.obj,\
      truemotion1.obj,tscc.obj,ulti.obj,vcr1.obj,vmdav.obj,vorbis.obj,\
      vp3.obj,vqavideo.obj,wmadec.obj,wnv1.obj,ws-snd1.obj,xan.obj,xl.obj,\
      opt.obj,bitstream_filter.obj,vc1.obj,mpeg12data.obj,ac3tab.obj,ac3.obj,\
      wma.obj,vc1data.obj,msmpeg4data.obj,intrax8.obj,xiph.obj,wmv2dec.obj,\
      mpeg4audio.obj,mpegaudiodata.obj,wmv2.obj,mpegaudiodecheader.obj,\
      h264_parser.obj,huffman.obj,h263_parser.obj,mpegvideo_enc.obj,\
      vorbis_dec.obj,cavsdsp.obj,flacenc.obj,h264pred.obj
OBJS2=mpeg4video_parser.obj,mpeg12enc.obj,h261enc.obj,wmv2enc.obj,\
	mjpegenc.obj,vb.obj,pnmenc.obj,adxenc.obj,dca_parser.obj,\
	vorbis_data.obj,intrax8dsp.obj,faanidct.obj,gifdec.obj,\
	h261_parser.obj,svq1dec.obj,8svx.obj,lzw.obj,vc1dsp.obj,lcldec.obj,\
	mpegaudioenc.obj,cook.obj,truespeech.obj,smacker.obj,\
	mjpega_dump_header_bsf.obj,dvdsubenc.obj,h264_mp4toannexb_bsf.obj,\
	noise_bsf.obj,jpeglsdec.obj,zmbvenc.obj,cavs_parser.obj,\
	dvdsub_parser.obj,movsub_bsf.obj,vc1_parser.obj,adxdec.obj,kmvc.obj,\
	mjpegbdec.obj,bmp.obj,avs.obj,apedec.obj,dirac_parser.obj,\
	roqaudioenc.obj,ljpegenc.obj,dxa.obj,svq1enc.obj,targa.obj,vp6.obj,\
	ptx.obj,sgienc.obj,rl2.obj,roqvideodec.obj,sgidec.obj,qtrleenc.obj,\
	dsicinav.obj,mp3_header_decompress_bsf.obj,bfi.obj,escape124.obj,\
	mjpegdec.obj,pngdec.obj,rawenc.obj,nuv.obj,vmnc.obj,tiertexseqv.obj,\
	sunrast.obj,tiff.obj,mpegaudio_parser.obj,rtjpeg.obj,vp56data.obj
OBJS3=ac3_parser.obj,h261dec.obj,mimic.obj,bethsoftvideo.obj,aac_parser.obj,\
	ac3dec.obj,dvbsub_parser.obj,flashsvenc.obj,sp5xdec.obj,jpegls.obj,\
	atrac3.obj,c93.obj,bmpenc.obj,cavsdec.obj,cscd.obj,dca.obj,\
	dnxhddec.obj,mjpeg_parser.obj,mpc7.obj,wavpack.obj,dnxhdenc.obj,\
	aac_ac3_parser.obj,cavs.obj,mlp_parser.obj,dump_extradata_bsf.obj,\
	dvdsubdec.obj,ac3dec_data.obj,dnxhddata.obj,mpc.obj,rle.obj,\
	flashsv.obj,gif.obj,imc.obj,imx_dump_header_bsf.obj,mmvideo.obj,\
	wmaenc.obj,jpeglsenc.obj,mp3_header_compress_bsf.obj,mpc8.obj,\
	mpegvideo_parser.obj,nellymoserdec.obj,pcx.obj,pngenc.obj,\
	pnm_parser.obj,qdm2.obj,rawdec.obj,remove_extradata_bsf.obj,\
	roqvideoenc.obj,targaenc.obj,tiffenc.obj,truemotion2.obj,tta.obj,\
	txd.obj,s3tc.obj,elbg.obj,lzwenc.obj,nellymoser.obj,vorbis_enc.obj,\
	vp56.obj,xsubdec.obj,lclenc.obj,zmbv.obj,vp5.obj,vp3_parser.obj,\
	aac.obj,alacenc.obj,audioconvert.obj,eatgq.obj,aandcttab.obj,\
	options.obj,aactab.obj,pthread.obj,dnxhd_parser.obj,eacmv.obj

OBJS4=eatgv.obj,faxcompr.obj,celp_filters.obj,celp_math.obj,eaidct.obj,\
	eac3dec.obj,lpc.obj,mlp.obj,msrledec.obj,eatqi.obj,rdft.obj,\
	rv30dsp.obj,rv40dsp.obj,mdec.obj,mlpdec.obj,motionpixels.obj,\
	nellymoserenc.obj,qcelpdec.obj,rv30.obj,rv40.obj,qcelp_lsp.obj,\
	rv34.obj,vp6dsp.obj,acelp_vectors.obj,flacdata.obj,flac.obj,\
	pcxenc.obj,avpacket.obj,libmp3lame.obj,mlpdsp.obj,libopenjpeg.obj,\
	tmv.obj,v210dec.obj,v210enc.obj,v210x.obj,cga_data.obj,libvorbis.obj

all : libavcodec.olb
	@ write sys$output "libavcodec.olb created"

libavcodec.olb : $(OBJS) $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4)
	library/create libavcodec.olb $(OBJS)
	library libavcodec.olb $(OBJS1)
	library libavcodec.olb $(OBJS2)
	library libavcodec.olb $(OBJS3)
	library libavcodec.olb $(OBJS4)

$(OBJS) : [-]config.h
$(OBJS1) : [-]config.h
$(OBJS2) : [-]config.h
$(OBJS3) : [-]config.h

bitstream.obj : bitstream.c
utils.obj : utils.c
allcodecs.obj : allcodecs.c
mpegvideo.obj : mpegvideo.c dsputil.h
jrevdct.obj : jrevdct.c
jfdctfst.obj : jfdctfst.c
jfdctint.obj : jfdctint.c
mpegaudio.obj : mpegaudio.c
ac3enc.obj : ac3enc.c
mjpeg.obj : mjpeg.c
resample.obj : resample.c
resample2.obj : resample2.c
dsputil.obj : dsputil.c
motion_est.obj : motion_est.c
imgconvert.obj : imgconvert.c
mpeg12.obj : mpeg12.c mdec.c
mpegaudiodec.obj : mpegaudiodec.c
pcm.obj : pcm.c
simple_idct.obj : simple_idct.c
ratecontrol.obj : ratecontrol.c
adpcm.obj : adpcm.c
eval.obj : eval.c
error_resilience.obj : error_resilience.c
fft.obj : fft.c
mdct.obj : mdct.c
raw.obj : raw.c
golomb.obj : golomb.c
cabac.obj : cabac.c
dpcm.obj : dpcm.c
faandct.obj : faandct.c
parser.obj : parser.c
g726.obj : g726.c
vp3dsp.obj : vp3dsp.c
h264idct.obj : h264idct.c
rangecoder.obj : rangecoder.c
pnm.obj : pnm.c
h263.obj : h263.c mpeg4data.h
msmpeg4.obj : msmpeg4.c
h263dec.obj : h263dec.c
dvbsub.obj : dvbsub.c
dvbsubdec.obj : dvbsubdec.c
aasc.obj : aasc.c
alac.obj : alac.c
asv1.obj : asv1.c
cinepak.obj : cinepak.c
cljr.obj : cljr.c
cyuv.obj : cyuv.c
dv.obj : dv.c
8bps.obj : 8bps.c
ffv1.obj : ffv1.c
flacdec.obj : flacdec.c
flicvideo.obj : flicvideo.c
4xm.obj : 4xm.c
fraps.obj : fraps.c
h261.obj : h261.c
h264.obj : h264.c svq3.c
huffyuv.obj : huffyuv.c
idcinvideo.obj : idcinvideo.c
indeo2.obj : indeo2.c
indeo3.obj : indeo3.c
interplayvideo.obj : interplayvideo.c
loco.obj : loco.c
	cc$(CFLAGS)/nowarn loco.c
mace.obj : mace.c
msrle.obj : msrle.c
msvideo1.obj : msvideo1.c
png.obj : png.c
qdrw.obj : qdrw.c
qpeg.obj : qpeg.c
qtrle.obj : qtrle.c
ra144.obj : ra144.c
ra288.obj : ra288.c
roqvideo.obj : roqvideo.c
rpza.obj : rpza.c
rv10.obj : rv10.c
shorten.obj : shorten.c
smc.obj : smc.c
snow.obj : snow.c
	cc$(CFLAGS)/nowarn snow.c
sonic.obj : sonic.c
svq1.obj : svq1.c
truemotion1.obj : truemotion1.c
tscc.obj : tscc.c
ulti.obj : ulti.c
vcr1.obj : vcr1.c
vmdav.obj : vmdav.c
vorbis.obj : vorbis.c
vp3.obj : vp3.c
vqavideo.obj : vqavideo.c
wmadec.obj : wmadec.c
wnv1.obj : wnv1.c
ws-snd1.obj : ws-snd1.c
	cc$(CFLAGS)/nowarn ws-snd1.c
xan.obj : xan.c
xl.obj : xl.c
opt.obj : opt.c
bitstream_filter.obj : bitstream_filter.c
vc1.obj : vc1.c
mpeg12data.obj : mpeg12data.c
ac3tab.obj : ac3tab.c
ac3.obj : ac3.c
wma.obj : wma.c
vc1data.obj : vc1data.c
msmpeg4data.obj : msmpeg4data.c
intrax8.obj : intrax8.c
xiph.obj : xiph.c
wmv2dec.obj : wmv2dec.c
mpeg4audio.obj : mpeg4audio.c
mpegaudiodata.obj : mpegaudiodata.c
wmv2.obj : wmv2.c
mpegaudiodecheader.obj : mpegaudiodecheader.c
h264_parser.obj : h264_parser.c
huffman.obj : huffman.c
h263_parser.obj : h263_parser.c
mpegvideo_enc.obj : mpegvideo_enc.c
vorbis_dec.obj : vorbis_dec.c
cavsdsp.obj : cavsdsp.c
flacenc.obj : flacenc.c
vorbis_data.obj : vorbis_data.c
h264pred.obj : h264pred.c
mpeg4video_parser.obj : mpeg4video_parser.c
mpeg12enc.obj : mpeg12enc.c
h261enc.obj : h261enc.c
wmv2enc.obj : wmv2enc.c
mjpegenc.obj : mjpegenc.c
vb.obj : vb.c
pnmenc.obj : pnmenc.c
adxenc.obj : adxenc.c
dca_parser.obj : dca_parser.c
intrax8dsp.obj : intrax8dsp.c
faanidct.obj : faanidct.c
gifdec.obj : gifdec.c
h261_parser.obj : h261_parser.c
svq1dec.obj : svq1dec.c
8svx.obj : 8svx.c
lzw.obj : lzw.c
vc1dsp.obj : vc1dsp.c
lcldec.obj : lcldec.c
mpegaudioenc.obj : mpegaudioenc.c
cook.obj : cook.c
truespeech.obj : truespeech.c
smacker.obj : smacker.c
mjpega_dump_header_bsf.obj : mjpega_dump_header_bsf.c
dvdsubenc.obj : dvdsubenc.c
h264_mp4toannexb_bsf.obj : h264_mp4toannexb_bsf.c
noise_bsf.obj : noise_bsf.c
jpeglsdec.obj : jpeglsdec.c
zmbvenc.obj : zmbvenc.c
cavs_parser.obj : cavs_parser.c
dvdsub_parser.obj : dvdsub_parser.c
movsub_bsf.movsub_bsf.obj : movsub_bsf.c
vc1_parser.obj : vc1_parser.c
adxdec.obj : adxdec.c
kmvc.obj : kmvc.c
mjpegbdec.obj : mjpegbdec.c
bmp.obj : bmp.c
avs.obj : avs.c
apedec.obj : apedec.c
dirac_parser.obj : dirac_parser.c
roqaudioenc.obj : roqaudioenc.c
ljpegenc.obj : ljpegenc.c
dxa.obj : dxa.c
svq1enc.obj : svq1enc.c
targa.obj : targa.c
vp6.obj : vp6.c
ptx.obj : ptx.c
sgienc.obj : sgienc.c
rl2.obj : rl2.c
roqvideodec.obj : roqvideodec.c
sgidec.obj : sgidec.c
qtrleenc.obj : qtrleenc.c
dsicinav.obj : dsicinav.c
mp3_header_decompress_bsf.obj : mp3_header_decompress_bsf.c
bfi.obj : bfi.c
escape124.obj : escape124.c
mjpegdec.obj : mjpegdec.c
pngdec.obj : pngdec.c
rawenc.obj : rawenc.c
nuv.obj : nuv.c
vmnc.obj : vmnc.c
tiertexseqv.obj : tiertexseqv.c
sunrast.obj : sunrast.c
tiff.obj : tiff.c
mpegaudio_parser.obj : mpegaudio_parser.c
rtjpeg.obj : rtjpeg.c
vp56data.obj : vp56data.c
ac3_parser.obj : ac3_parser.c
h261dec.obj : h261dec.c
mimic.obj : mimic.c
bethsoftvideo.obj : bethsoftvideo.c
aac_parser.obj : aac_parser.c
ac3dec.obj : ac3dec.c
dvbsub_parser.obj : dvbsub_parser.c
flashsvenc.obj : flashsvenc.c
sp5xdec.obj : sp5xdec.c
jpegls.obj : jpegls.c
atrac3.obj : atrac3.c
c93.obj : c93.c
bmpenc.obj : bmpenc.c
cavsdec.obj : cavsdec.c
cscd.obj : cscd.c
dca.obj : dca.c
dnxhddec.obj : dnxhddec.c
mjpeg_parser.obj : mjpeg_parser.c
mpc7.obj : mpc7.c
wavpack.obj : wavpack.c
dnxhdenc.obj : dnxhdenc.c
aac_ac3_parser.obj : aac_ac3_parser.c
cavs.obj : cavs.c
mlp_parser.obj : mlp_parser.c
dump_extradata_bsf.obj : dump_extradata_bsf.c
dvdsubdec.obj : dvdsubdec.c
ac3dec_data.obj : ac3dec_data.c
dnxhddata.obj : dnxhddata.c
mpc.obj : mpc.c
rle.obj : rle.c
flashsv.obj : flashsv.c
gif.obj : gif.c
imc.obj : imc.c
imx_dump_header_bsf.obj : imx_dump_header_bsf.c
mmvideo.obj : mmvideo.c
wmaenc.obj : wmaenc.c
jpeglsenc.obj : jpeglsenc.c
mp3_header_compress_bsf.obj : mp3_header_compress_bsf.c
mpc8.obj : mpc8.c
mpegvideo_parser.obj : mpegvideo_parser.c
nellymoserdec.obj : nellymoserdec.c
pcx.obj : pcx.c
pngenc.obj : pngenc.c
pnm_parser.obj : pnm_parser.c
qdm2.obj : qdm2.c
rawdec.obj : rawdec.c
remove_extradata_bsf.obj : remove_extradata_bsf.c
roqvideoenc.obj : roqvideoenc.c
targaenc.obj : targaenc.c
tiffenc.obj : tiffenc.c
truemotion2.obj : truemotion2.c
tta.obj : tta.c
txd.obj : txd.c
s3tc.obj : s3tc.c
elbg.obj : elbg.c
lzwenc.obj : lzwenc.c
nellymoser.obj : nellymoser.c
vorbis_enc.obj : vorbis_enc.c
vp56.obj : vp56.c
xsubdec.obj : xsubdec.c
lclenc.obj : lclenc.c
zmbv.obj : zmbv.c
vp5.obj : vp5.c
vp3_parser.obj : vp3_parser.c
aac.obj : aac.c
alacenc.obj : alacenc.c
audioconvert.obj : audioconvert.c
eatgq.obj : eatgq.c
aandcttab.obj : aandcttab.c
options.obj : options.c
aactab.obj : aactab.c
pthread.obj : pthread.c
dnxhd_parser.obj : dnxhd_parser.c
eacmv.obj : eacmv.c
eatgv.obj : eatgv.c
faxcompr.obj : faxcompr.c
celp_filters.obj : celp_filters.c
celp_math.obj : celp_math.c
eaidct.obj : eaidct.c
eac3dec.obj : eac3dec.c
lpc.obj : lpc.c
mlp.obj : mlp.c
msrledec.obj : msrledec.c
eatqi.obj : eatqi.c
rdft.obj : rdft.c
rv30dsp.obj : rv30dsp.c
rv40dsp.obj : rv40dsp.c
mdec.obj : mdec.c
mlpdec.obj : mlpdec.c
motionpixels.obj : motionpixels.c
nellymoserenc.obj : nellymoserenc.c
qcelpdec.obj : qcelpdec.c
rv30.obj : rv30.c
rv40.obj : rv40.c
qcelp_lsp.obj : qcelp_lsp.c
rv34.obj : rv34.c
vp6dsp.obj : vp6dsp.c
acelp_vectors.obj : acelp_vectors.c
flacdata.obj : flacdata.c
flac.obj : flac.c
pcxenc.obj : pcxenc.c
avpacket.obj : avpacket.c
libmp3lame.obj : libmp3lame.c
mlpdsp.obj : mlpdsp.c
libopenjpeg.obj : libopenjpeg.c
tmv.obj : tmv.c
v210dec.obj : v210dec.c
v210enc.obj : v210enc.c
v210x.obj : v210x.c
cga_data.obj : cga_data.c
libvorbis.obj : libvorbis.c
