#
#*****************************************************************************
#                                                                            *
#          Author : J.Jansen            Date : 14 July 2006                  *
#   Revision : 1.0        Author : J.Jansen    Date : 26 June 2008           *
#   Revision : 1.1        Author : J.Jansen    Date : 12 Februari 2009       *
#   Revision : 1.2        Author : J.Jansen    Date : 9 March 2009           *
#   Revision : 1.3        Author : J.Jansen    Date : 6 April 2009           *
#   Revision : 1.4        Author : J.Jansen    Date : 14 May 2009            *
#                                                                            *
# OpenVMS makefile                                                           *
#                                                                            *
#*****************************************************************************
#
.first
	define libavcodec [-.libavcodec]
	define libavutil [-.libavutil]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/nowarn\
	/include=([],[-],[-.libavutil],[-.libavcodec])\
	/define=("HAVE_AV_CONFIG_H=1","_FILE_OFFSET_BITS=64")

OBJS=utils.obj,cutils.obj,os_support.obj,allformats.obj,mpeg.obj,mpegts.obj,\
	mpegtsenc.obj,img2.obj,raw.obj,avienc.obj,avidec.obj,wav.obj,mmf.obj,\
	au.obj,gif.obj,mov.obj,mpjpeg.obj,dv.obj,yuv4mpeg.obj,4xm.obj,\
	flvenc.obj,flvdec.obj,movenc.obj,psxstr.obj,idroq.obj,ipmovie.obj,\
	nut.obj,wc3movie.obj,mp3.obj,westwood.obj,segafilm.obj,idcin.obj,\
	flic.obj,sierravmd.obj,matroska.obj,sol.obj,electronicarts.obj,\
	nsvdec.obj,asf.obj,asfenc.obj,oggparsevorbis.obj,oggparsetheora.obj,\
	oggparseflac.obj,amr.obj,avio.obj,aviobuf.obj,file.obj,\
	daud.obj,udp.obj,tcp.obj,http.obj,rtsp.obj,rtp.obj,\
	rtpproto.obj,isom.obj,rtpdec.obj,riff.obj,dvenc.obj,smacker.obj,\
	rpl.obj,xa.obj,vocdec.obj,mtv.obj,oggenc.obj,mpegenc.obj,oma.obj,\
	avc.obj,gxf.obj,swfenc.obj,eacdata.obj,bethsoftvid.obj,siff.obj,\
	rl2.obj,wv.obj,mxf.obj,avs.obj,matroskaenc.obj,mpc8.obj,\
	framecrcenc.obj,lmlm4.obj,ape.obj,dsicin.obj,rtpenc.obj,msnwc_tcp.obj
OBJS1=pva.obj,mp3.obj,voc.obj,matroskadec.obj,asfcrypt.obj,adtsenc.obj,\
	c93.obj,vc1test.obj,aiff.obj,apc.obj,crcenc.obj,sdp.obj,bfi.obj,\
	rtp_mpv.obj,dxa.obj,nutenc.obj,rtpenc_h264.obj,tta.obj,rtp_h264.obj,\
	rtp_aac.obj,ffmdec.obj,ffmenc.obj,gxfenc.obj,iff.obj,mm.obj,txd.obj,\
	mpc.obj,nutdec.obj,nuv.obj,oggdec.obj,rmdec.obj,rmenc.obj,swfdec.obj,\
	thp.obj,tiertexseq.obj,oggparseogm.obj,oggparsespeex.obj,vocenc.obj,\
	options.obj,rdt.obj,mvi.obj,amr.obj,assdec.obj,mxfenc.obj,amr.obj,\
	assenc.obj,metadata.obj,id3v2.obj,metadata_compat.obj,iss.obj,\
	mxfdec.obj,r3d.obj,vc1testenc.obj,audiointerleave.obj,gopher.obj,\
	ncdec.obj,asfdec.obj,flacdec.obj,flacenc.obj,rm.obj,vqf.obj,\
	rtp_asf.obj,avlanguage.obj,rtp_amr.obj,rtp_h263.obj,rtp_vorbis.obj,\
	tmv.obj

all : libavformat.olb
	@ write sys$output "libavformat.olb created"

libavformat.olb : $(OBJS) $(OBJS1)
	library/create libavformat.olb $(OBJS)
	library libavformat.olb $(OBJS1)

$(OBJS) : [-]config.h
$(OBJS1) : [-]config.h

utils.obj : utils.c
	cc$(CFLAGS)/nowarn utils.c
cutils.obj : cutils.c
os_support.obj : os_support.c
allformats.obj : allformats.c
mpeg.obj : mpeg.c
mpegts.obj : mpegts.c
mpegtsenc.obj : mpegtsenc.c
img2.obj : img2.c
raw.obj : raw.c
avienc.obj : avienc.c
avidec.obj : avidec.c
wav.obj : wav.c
mmf.obj : mmf.c
au.obj : au.c
gif.obj : gif.c
mov.obj : mov.c
	cc$(CFLAGS)/nowarn mov.c
mpjpeg.obj : mpjpeg.c
dv.obj : dv.c
yuv4mpeg.obj : yuv4mpeg.c
4xm.obj : 4xm.c
flvenc.obj : flvenc.c
flvdec.obj : flvdec.c
movenc.obj : movenc.c
psxstr.obj : psxstr.c
idroq.obj : idroq.c
ipmovie.obj : ipmovie.c
nut.obj : nut.c
wc3movie.obj : wc3movie.c
mp3.obj : mp3.c
westwood.obj : westwood.c
segafilm.obj : segafilm.c
idcin.obj : idcin.c
flic.obj : flic.c
sierravmd.obj : sierravmd.c
matroska.obj : matroska.c
sol.obj : sol.c
electronicarts.obj : electronicarts.c
nsvdec.obj : nsvdec.c
asf.obj : asf.c
asfenc.obj : asfenc.c
oggparsevorbis.obj : oggparsevorbis.c
oggparsetheora.obj : oggparsetheora.c
	cc$(CFLAGS)/nowarn oggparsetheora.c
oggparseflac.obj : oggparseflac.c
amr.obj : amr.c
avio.obj : avio.c
aviobuf.obj : aviobuf.c
file.obj : file.c
udp.obj : udp.c
tcp.obj : tcp.c
http.obj : http.c
rtsp.obj : rtsp.c
rtp.obj : rtp.c
rtpproto.obj : rtpproto.c
daud.obj : daud.c
isom.obj : isom.c
rtpdec.obj : rtpdec.c
riff.obj : riff.c
dvenc.obj : dvenc.c
smacker.obj : smacker.c
rpl.obj : rpl.c
xa.obj : xa.c
vocdec.obj : vocdec.c
mtv.obj : mtv.c
oggenc.obj : oggenc.c
mpegenc.obj : mpegenc.c
oma.obj : oma.c
avc.obj : avc.c
gxf.obj : gxf.c
swfenc.obj : swfenc.c
eacdata.obj : eacdata.c
bethsoftvid.obj : bethsoftvid.c
siff.obj : siff.c
rl2.obj : rl2.c
wv.obj : wv.c
mxf.obj : mxf.c
avs.obj : avs.c
matroskaenc.obj : matroskaenc.c
mpc8.obj : mpc8.c
framecrcenc.obj : framecrcenc.c
lmlm4.obj : lmlm4.c
ape.obj : ape.c
dsicin.obj : dsicin.c
rtpenc.obj : rtpenc.c
msnwc_tcp.obj : msnwc_tcp.c
pva.obj : pva.c
mp3.obj : mp3.c
voc.obj : voc.c
matroskadec.obj : matroskadec.c
asfcrypt.obj : asfcrypt.c
adtsenc.obj : adtsenc.c
c93.obj : c93.c
vc1test.obj : vc1test.c
aiff.obj : aiff.c
apc.obj : apc.c
crcenc.obj : crcenc.c
sdp.obj : sdp.c
bfi.obj : bfi.c
rtp_mpv.obj : rtp_mpv.c
dxa.obj : dxa.c
nutenc.obj : nutenc.c
rtpenc_h264.obj : rtpenc_h264.c
tta.obj : tta.c
rtp_h264.obj : rtp_h264.c
rtp_aac.obj : rtp_aac.c
ffmdec.obj : ffmdec.c
ffmenc.obj : ffmenc.c
gxfenc.obj : gxfenc.c
iff.obj : iff.c
mm.obj : mm.c
txd.obj : txd.c
mpc.obj : mpc.c
nutdec.obj : nutdec.c
nuv.obj : nuv.c
oggdec.obj : oggdec.c
rmdec.obj : rmdec.c
rmenc.obj : rmenc.c
swfdec.obj : swfdec.c
thp.obj : thp.c
tiertexseq.obj : tiertexseq.c
oggparseogm.obj : oggparseogm.c
oggparsespeex.obj : oggparsespeex.c
vocenc.obj : vocenc.c
options.obj : options.c
rdt.obj : rdt.c
mvi.obj : mvi.c
amr.obj : amr.c
assdec.obj : assdec.c
mxfenc.obj : mxfenc.c
amr.obj : amr.c
assenc.obj : assenc.c
metadata.obj : metadata.c
id3v2.obj : id3v2.c
metadata_compat.obj : metadata_compat.c
iss.obj : iss.c
mxfdec.obj : mxfdec.c
r3d.obj : r3d.c
vc1testenc.obj : vc1testenc.c
audiointerleave.obj : audiointerleave.c
gopher.obj : gopher.c
ncdec.obj : ncdec.c
asfdec.obj : asfdec.c
flacdec.obj : flacdec.c
flacenc.obj : flacenc.c
rm.obj : rm.c
vqf.obj : vqf.c
rtp_asf.obj : rtp_asf.c
avlanguage.obj : avlanguage.c
rtp_amr.obj : rtp_amr.c
rtp_h263.obj : rtp_h263.c
rtp_vorbis.obj : rtp_vorbis.c
tmv.obj : tmv.c
