#
#*****************************************************************************
#                                                                            *
#          Author : J.Jansen            Date : 14 July 2006                  *
#   Revision : 1.0         Author : J.Jansen    Date : 25 June 2008          *
#   Revision : 1.1         Author : J.Jansen    Date : 3 February 2009       *
#   Revision : 1.2         Author : J.Jansen    Date : 11 March 2009         *
#   Revision : 1.3         Author : J.Jansen    Date : 6 April 2009          *
#                                                                            *
# OpenVMS makefile                                                           *
#                                                                            *
#*****************************************************************************
#

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm\
	/include=([],[-],[-.libavcodec])\
	/define=("HAVE_AV_CONFIG_H=1","_FILE_OFFSET_BITS=64")

OBJS=adler32.obj,\
       aes.obj,\
       base64.obj,\
       crc.obj,\
       des.obj,\
       fifo.obj,\
       intfloat_readwrite.obj,\
       lls.obj,\
       log.obj,\
       lzo.obj,\
       mathematics.obj,\
       md5.obj,\
       mem.obj,\
       rational.obj,\
       rc4.obj,\
       sha1.obj,\
       avstring.obj,\
       tree.obj,lfg.obj,utils.obj,random_seed.obj

HEADERS = adler32.h \
          avstring.h \
          avutil.h \
          base64.h \
          common.h \
          crc.h \
          fifo.h \
          intfloat_readwrite.h \
          log.h \
          lzo.h \
          mathematics.h \
          md5.h \
          mem.h \
          rational.h \
          sha1.h

all : libavutil.olb
	@ write sys$output "libavutil.olb created"

libavutil.olb : $(OBJS)
	library/create libavutil.olb $(OBJS)

$(OBJS) : stdint.h $(HEADERS) [-]config.h

stdint.h : stdint.h_vms
	copy stdint.h_vms stdint.h

adler32.obj : adler32.c
aes.obj : aes.c
	cc/nowarn $(CFLAGS) aes.c
base64.obj : base64.c
crc.obj : crc.c
des.obj : des.c
fifo.obj : fifo.c
intfloat_readwrite.obj : intfloat_readwrite.c
lls.obj : lls.c
log.obj : log.c
lzo.obj : lzo.c
mathematics.obj : mathematics.c
md5.obj : md5.c
	cc/nowarn $(CFLAGS) md5.c
mem.obj : mem.c
rational.obj : rational.c
rc4.obj : rc4.c
sha1.obj : sha1.c
	cc/nowarn $(CFLAGS) sha1.c
avstring.obj : avstring.c
tree.obj : tree.c
lfg.obj : lfg.c
utils.obj : utils.c
random_seed.obj : random_seed.c
